#ifndef TEST_ATTRIBUTE_ACDELEGATE_H
#define TEST_ATTRIBUTE_ACDELEGATE_H

#include "fractal/api/AttributeController.idl.h"

/** Descriptor of an attribute. */
struct AttributeDesc_t {
  /** the name of the client interface. */
  const char *name;
  /** Pointer to the attribute. */
  void **value;
  /** The size of the attribute. */
  char size;
};

// the vTable of the attribute controller interface.
extern struct Mfractal_api_AttributeController
    __cecilia_default_AttributeControllerMeths;

#define CALL_AC(proc, self, args...) \
  (__cecilia_default_AttributeControllerMeths.proc((self), ##args))

#endif // TEST_ATTRIBUTE_TESTACDELEGATE_H
